package com.ar.artracestudio.room;

import android.content.Context;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

import com.ar.artracestudio.MyApplication;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@Database(entities = {ImageEntry.class}, version = MyApplication.DB_Version, exportSchema = false)
public abstract class AppDatabase extends RoomDatabase {

    public abstract ImageEntryDao imageEntryDao();
    private static volatile AppDatabase INSTANCE;
    private static final ExecutorService databaseWriteExecutor = Executors.newFixedThreadPool(4);

    public static AppDatabase getInstance(Context context) {
        if (INSTANCE == null) {
            synchronized (AppDatabase.class) {
                if (INSTANCE == null) {
                    INSTANCE = Room.databaseBuilder(context.getApplicationContext(),
                                    AppDatabase.class, MyApplication.DB_Name)
                            .build();
                }
            }
        }
        return INSTANCE;
    }
}
